% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/atoms.R
\docType{class}
\name{AxisAtom-class}
\alias{AxisAtom-class}
\alias{AxisAtom}
\alias{size_from_args,AxisAtom-method}
\alias{get_data,AxisAtom-method}
\alias{validate_args,AxisAtom-method}
\title{The AxisAtom class.}
\usage{
\S4method{size_from_args}{AxisAtom}(object)

\S4method{get_data}{AxisAtom}(object)

\S4method{validate_args}{AxisAtom}(object)
}
\arguments{
\item{object}{An \linkS4class{Atom} object.}
}
\description{
This virtual class represents atomic expressions that can be applied along an axis in CVXR.
}
\section{Methods (by generic)}{
\itemize{
\item \code{size_from_args}: The size of the atom deteremined from its arguments.

\item \code{get_data}: A list containing \code{axis}.

\item \code{validate_args}: Check that the new shape has the same number of entries as the old.
}}

\section{Slots}{

\describe{
\item{\code{expr}}{A numeric element, data.frame, matrix, vector, or Expression.}

\item{\code{axis}}{(Optional) The dimension across which to apply the function: \code{1} indicates rows, \code{2} indicates columns, and \code{NA} indicates rows and columns. The default is \code{NA}.}
}}

