% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/affine.R
\docType{class}
\name{BinaryOperator-class}
\alias{BinaryOperator-class}
\alias{BinaryOperator}
\alias{to_numeric,BinaryOperator-method}
\alias{sign_from_args,BinaryOperator-method}
\title{The BinaryOperator class.}
\usage{
\S4method{to_numeric}{BinaryOperator}(object, values)

\S4method{sign_from_args}{BinaryOperator}(object)
}
\arguments{
\item{object}{A \linkS4class{BinaryOperator} object.}

\item{values}{A list of arguments to the atom.}
}
\description{
This base class represents expressions involving binary operators.
}
\section{Methods (by generic)}{
\itemize{
\item \code{to_numeric}: Apply the binary operator to the values.

\item \code{sign_from_args}: The sign of the expression.
}}

\section{Slots}{

\describe{
\item{\code{lh_exp}}{The \linkS4class{Expression} on the left-hand side of the operator.}

\item{\code{rh_exp}}{The \linkS4class{Expression} on the right-hand side of the operator.}

\item{\code{op_name}}{A \code{character} string indicating the binary operation.}
}}

